Package ru.bitel.bgbilling.kernel.apps.server.bean

# Class AppsAbstractAction

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.apps.server.bean.AppsAbstractAction

public abstract class AppsAbstractAction extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `actionMap`
  Мап который будет будет сохранен в dataMap с ключем запрашиваемого акшена
  `protected Connection`
  `con`
  `protected AppsContext`
  `context`
  `protected int`
  `contractId`
  `protected Map<String,Object>`
  `dataMap`
  Мап который будет возвращен.
  `protected jakarta.servlet.http.HttpServletRequest`
  `request`
  `protected Map<String,String>`
  `requestParamsMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppsAbstractAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkModuleOnContract(int moduleId, String message)`
  `abstract void`
  `execute()`
  `BigDecimal`
  `getBigDecimal(String key, BigDecimal def)`
  `protected boolean`
  `getBoolean(String name, boolean defaultValue)`
  `protected final Date`
  `getDateParameter(String name, String pattern, Date defaultValue)`
  `int`
  `getIntParameter(String name, int defaultValue)`
  `String`
  `getParameter(String name)`
  `protected Period`
  `getPeriod()`
  `protected Period`
  `getPeriod(String pattern)`
  `void`
  `setContext(AppsContext appsContext)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### context

    protected AppsContext context

  - ### contractId

    protected int contractId

  - ### con

    protected Connection con

  - ### dataMap

    protected Map<String,Object> dataMap
    Мап который будет возвращен. Не уверен, что он тут понадобится, так как все, что относиться к запросу акшена должно быть в actionMap

  - ### actionMap

    protected Map<String,Object> actionMap
    Мап который будет будет сохранен в dataMap с ключем запрашиваемого акшена

  - ### request

    protected jakarta.servlet.http.HttpServletRequest request

  - ### requestParamsMap

    protected Map<String,String> requestParamsMap

- ## Constructor Details

  - ### AppsAbstractAction

    public AppsAbstractAction()

- ## Method Details

  - ### setContext

    public void setContext(AppsContext appsContext)

  - ### execute

    public abstract void execute() throws Exception
    Throws:
      `Exception`

  - ### getParameter

    public String getParameter(String name)

  - ### getIntParameter

    public int getIntParameter(String name, int defaultValue)

  - ### getPeriod

    protected Period getPeriod()

  - ### getPeriod

    protected Period getPeriod(String pattern)

  - ### getBigDecimal

    public BigDecimal getBigDecimal(String key, BigDecimal def)

  - ### getDateParameter

    protected final Date getDateParameter(String name, String pattern, Date defaultValue)

  - ### getBoolean

    protected boolean getBoolean(String name, boolean defaultValue)

  - ### checkModuleOnContract

    protected void checkModuleOnContract(int moduleId, String message) throws SQLException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGMessageException`